Name:           cockpit-image-builder
Version:        60
Release:        1.20250213085950504361.pr2890.8.gbabddb9e%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-61.tar.gz

Obsoletes:      cockpit-composer < 54
Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       cockpit-files
Requires:       osbuild-composer >= 131

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Thu Feb 13 2025 Packit <hello@packit.dev> - 60-1.20250213085950504361.pr2890.8.gbabddb9e
- deps: Bump @redhat-cloud-services/frontend-components from 4.2.22 to 5.2.6 (regexowl)
- build(deps): bump @reduxjs/toolkit from 2.5.0 to 2.5.1 (dependabot[bot])
- build(deps-dev): bump @testing-library/react from 16.1.0 to 16.2.0 (dependabot[bot])
- build(deps): bump @redhat-cloud-services/frontend-components-notifications (dependabot[bot])
- packit.yaml: release into fedora-42 (Sanne Raymaekers)
- dependabot: Return limit to 3 PRs at once (regexowl)
- build(deps-dev): bump stylelint from 16.13.2 to 16.14.1 (dependabot[bot])
- Post release version bump (schutzbot)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
